package com.nisum.example.mapstrruct.main;

import com.nisum.example.mapstrruct.mapper.EmployeeMapper;
import com.nisum.example.mapstrruct.mapper.EmployeeMapperImpl;
import com.nisum.example.mapstrruct.model.Employee;
import com.nisum.example.mapstrruct.model.EmployeeDTO;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class MainClass {

    private static EmployeeMapper employeeMapper=new EmployeeMapperImpl();

    public static void main(String[] args) {

        Employee employee=Employee.builder()
                .empId(101)
                .firstName("SYED")
                .lastName("ALI")
                .build();

        EmployeeDTO employeeDTO=employeeMapper.toDto(employee);
        log.info("Converted Bean "+employeeDTO);

    }
}
