package com.nisum.example.mapstrruct.mapper;

import com.nisum.example.mapstrruct.model.Employee;
import com.nisum.example.mapstrruct.model.EmployeeDTO;
import org.mapstruct.InheritInverseConfiguration;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Named;

@Mapper
public interface EmployeeMapper {

    @Mapping(source = "firstName",target = "fullName"/*,qualifiedByName ="fullNameWithFirstAndLastName"*/ ) //if we want to copy some specific
                                                       //property
     EmployeeDTO toDto(Employee employee);

    //same conversion if need to apply
    @InheritInverseConfiguration(name = "toDto")
     Employee fromDto(EmployeeDTO employeeDTO);

    /*@Named("fullNameWithFirstAndLastName")
    public  String fullNameWithFirstAndLastName(Employee employee){
        return employee.getFirstName()+" "+employee.getLastName();
    }*/
}
